View the current firmware status for a specific virtual machine (VM). This includes settings like BIOS, EFI, and TPM, which can be important for advanced configuration or troubleshooting.
path.vmid vmid integer · min: 1 required
Example: 10000 Unique vmid identifier
Accept Example Content-Type Example data object required data.bios string required
· Example: seabios data.efi object required data.efi.preEnrolledKeys string · nullable required
· Example: null Nullable: may be null when not applicable.
data.efi.raw string · nullable required
· Example: null Nullable: may be null when not applicable.
data.efi.size string · nullable required
· Example: null Nullable: may be null when not applicable.
data.efi.type string · nullable required
· Example: null Nullable: may be null when not applicable.
data.efi.volume string · nullable required
· Example: null Nullable: may be null when not applicable.
data.machine string · nullable required
· Example: q35 Nullable: may be null when not applicable.
data.mode string required
· Example: legacy data.node string · enum required
· Example: stockholm1-25-vm pve-5 stockholm1-25-vm data.secureBootReady boolean required
· Example: false data.status string · enum required
· Example: running running stopped data.tpm object required data.tpm.raw string · nullable required
· Example: null Nullable: may be null when not applicable.
data.tpm.size string · nullable required
· Example: null Nullable: may be null when not applicable.
data.tpm.version string · nullable required
· Example: null Nullable: may be null when not applicable.
data.tpm.volume string · nullable required
· Example: null Nullable: may be null when not applicable.
data.tpmReady boolean required
· Example: false data.vmid string required
· Example: 10000 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/vm/{vmid}/firmware curl -X GET "https://cloud.hostup.se/api/vm/10000/firmware" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"vmid": "10000",
"node": "stockholm1-25-vm",
"status": "running",
"bios": "seabios",
"machine": null,
"efi": {
"raw": null,
"volume": null,
"type": null,
"size": null,
"preEnrolledKeys": null
},
"tpm": {
"raw": null,
"volume": null,
"size": null,
"version": null
},
"secureBootReady": false,
"tpmReady": false,
"mode": "legacy"
}
}